Skip to main content
POST
/
subscriptions
/
{subscription_id}
/
cancel
Cancel Subscription
curl --request POST \
  --url https://api-sandbox.y.uno/v1/subscriptions/{subscription_id}/cancel \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
{
  "id": "7304911d-5df9-429e-8488-ad41abea1a4c",
  "name": "sub_001",
  "description": "streaming service",
  "account_id": "2404911d-5df9-429e-8488-ad41abea1a4b",
  "merchant_reference": "001_marzo_23",
  "status": "CANCELED",
  "subscription_plan_id": "1904911d-5df9-429e-8488-ad41abea1a4d",
  "amount": {
    "currency": "USD",
    "value": 12100
  },
  "frequency": {
    "type": "MONTH",
    "value": 1
  },
  "billing_cycles": {
    "total": 10,
    "current": 2,
    "next_at": "2023-02-16T20:00:00.786342Z"
  },
  "customer_payer": {
    "id": "3t04911d-5df9-429e-8488-ad41abea1a2c"
  },
  "payment_method": [
    {
      "type": "CARD",
      "token": "9104911d-5df9-429e-8488-ad41abea1a4b",
      "vaulted_token": "6104911d-5df9-429e-8488-ad41abea1a4b",
      "card": {
        "verify": false,
        "card_data": {
          "number": "4507990000000010",
          "expiration_month": 10,
          "expiration_year": 2025,
          "security_code": 123,
          "holder_name": "JOHN DOE"
        }
      }
    }
  ],
  "availability": {
    "start_at": "2024-01-16T00:00:00.786342Z",
    "finish_at": "2024-05-26T20:00:00.786342Z"
  },
  "metadata": {
    "key": "sub_ext_id",
    "value": "AA001"
  },
  "payments": [
    "5104911d-5df9-229e-8468-bd41abea1a4s"
  ],
  "created_at": "2023-12-16T20:46:54.786342Z",
  "updated_at": "2023-12-16T21:00:54.786342Z"
}
Calling this endpoint will cancel a subscription, changing its status to CANCELED. This change cannot be reverted back, being a final point for the respective subscription.

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required

Path Parameters

subscription_id
string
required

The unique identifier of a subscription.

Response

200

id
string
Example:

"7304911d-5df9-429e-8488-ad41abea1a4c"

name
string
Example:

"sub_001"

description
string
Example:

"streaming service"

account_id
string
Example:

"2404911d-5df9-429e-8488-ad41abea1a4b"

merchant_reference
string
Example:

"001_marzo_23"

status
string
Example:

"CANCELED"

subscription_plan_id
string
Example:

"1904911d-5df9-429e-8488-ad41abea1a4d"

amount
object
frequency
object
billing_cycles
object
customer_payer
object
payment_method
object[]
availability
object
metadata
object
payments
string[]
created_at
string
Example:

"2023-12-16T20:46:54.786342Z"

updated_at
string
Example:

"2023-12-16T21:00:54.786342Z"